org.ajax4jsf.component.html

## Class HtmlAjaxRegion

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIPanel
      - - org.ajax4jsf.component.UIAjaxRegion
        - - org.ajax4jsf.component.html.HtmlAjaxRegion

- All Implemented Interfaces:
    javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxContainer, org.ajax4jsf.component.AjaxContainerBase, org.ajax4jsf.event.AjaxSource

      public class HtmlAjaxRegion
      extends UIAjaxRegion

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_FAMILY`
    `static java.lang.String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlAjaxRegion()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getSubmittedControlId()`
    `boolean` | `isRenderRegionOnly()`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setRenderRegionOnly(boolean _renderRegionOnly)`
    `void` | `setSubmittedControlId(java.lang.String _submittedControlId)`

    - ### Methods inherited from class org.ajax4jsf.component.UIAjaxRegion

      `addAjaxListener, broadcast, encodeAjax, getAjaxListener, getAjaxListeners, isImmediate, isSelfRendered, isSubmitted, isTransient, processDecodes, processUpdates, processValidators, removeAjaxListener, setAjaxListener, setImmediate, setSelfRendered, setSubmitted, setTransient`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setValueBinding`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getValueExpression, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HtmlAjaxRegion

          public HtmlAjaxRegion()

  - ### Method Detail

    - #### isRenderRegionOnly

          public boolean isRenderRegionOnly()

    - #### setRenderRegionOnly

          public void setRenderRegionOnly(boolean _renderRegionOnly)

    - #### getSubmittedControlId

          public java.lang.String getSubmittedControlId()

    - #### setSubmittedControlId

          public void setSubmittedControlId(java.lang.String _submittedControlId)

    - #### getFamily

          public java.lang.String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UIPanel`

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `UIAjaxRegion`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                          java.lang.Object state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `UIAjaxRegion`

Copyright © 2013. All Rights Reserved.